[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.GetFieldNames

Return a list of all available field names

## Declaration

Source position: db.pas line 1700

`public procedure TDataSet.GetFieldNames(`
`List: TStrings`
`);`

## Arguments

`List` |  | List in which to return field names

## Description

GetFieldNames returns in List the names of all available fields, one field per item in the list. The dataset must be open for this function to work correctly.

## See also

TDataset.GetFieldNameList
TDataset.FieldByName |  | Search a field by name
TDataset.FindField |  | Find a field by name